<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@100615=99</action>
    </script>
  </cheat>

  <cheat desc="Select the Starting Round">
    <parameter min="1" max="8" step="1"/>
    <script state="run">
      <action condition="(maincpu.pb@1001C1==00)">maincpu.pb@1001C1=(param-1)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@100367=04</action>
    </script>
  </cheat>

  <cheat desc="Infinite Life PL1">
    <script state="run">
      <action>maincpu.pb@10036B=02</action>
    </script>
  </cheat>

  <cheat desc="Infinite Normal Ammo PL1">
    <script state="run">
      <action>maincpu.pb@100365=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Machine Gun Ammo PL1"> <comment>Automatically have the m gun</comment>
    <script state="run">
      <action>maincpu.pb@10036D=40</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@100355=80</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@1003F1=04</action>
    </script>
  </cheat>

  <cheat desc="Infinite Life PL2">
    <script state="run">
      <action>maincpu.pb@1003F5=02</action>
    </script>
  </cheat>

  <cheat desc="Infinite Normal Ammo PL2">
    <script state="run">
      <action>maincpu.pb@1003EF=30</action>
    </script>
  </cheat>

  <cheat desc="Infinite Machine Gun Ammo PL2"> <comment>Automatically have the m gun</comment>
    <script state="run">
      <action>maincpu.pb@1003F7=80</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@1003DF=80</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
